Subject: Enron Construction Agreement Form
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Tue, 28 Sep 1999 10:35:00 -0700 (PDT)

Sunni,  Attached is our form of construction agreement.  Exhibit C still 
needs to be completed by us as we will be providing materials.  Exhibit D 
needs to be completed by Mountain West.  I will Fedex the execution originals 
tommorrow.  Let me know if you have any questions.  (713) 853-3512